Name:           liquidshell
Version:        1.10.0
Release:        %mkrel 2
Summary:        Alternative desktop replacement for Plasma, Qt and KF6 based
License:        GPL-3.0
Group:          Graphical desktop/KDE
URL:            https://invent.kde.org/system/liquidshell
Source:         https://download.kde.org/stable/liquidshell/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6NetworkManagerQt)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6BluezQt)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6StatusNotifierItem)

BuildRequires:  pkgconfig(packagekitqt6)
BuildRequires:  pkgconfig(bluez)

Requires:       kmenuedit
Requires:       kscreen
Requires:       plasma-applet-nm
Requires:       plasma-workspace
Recommends:     ksysguard
Recommends:     kwin
Recommends:     bluedevil

%description
liquidshell is a basic Desktop Shell implemented using QtWidgets.
Alternative desktop replacement for Plasma, Qt and KF6 based.
It using QtWidgets instead of QtQuick to ensure hardware
acceleration is not required.

%prep
%autosetup -p1

%build
# NOTE set explicitly 'XDG_APPS_INSTALL_DIR' to fix path (mga#32421)
%cmake_kf6 -DXDG_APPS_INSTALL_DIR=share/applications
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README
%license COPYING
%{_kf6_bindir}/liquidshell
%{_kf6_bindir}/start_liquidshell
%{_kf6_applicationsdir}/org.kde.liquidshell.desktop
%{_kf6_iconsdir}/hicolor/*/apps/liquidshell.png
%{_kf6_knotificationsdir}/liquidshell.notifyrc
%{_kf6_datadir}/xsessions/%{name}-session.desktop
%{_kf6_metainfodir}/org.kde.liquidshell.appdata.xml


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.10.0-2.mga10
+ Revision: 2228703
- Mageia 10 Mass Rebuild

* Mon Oct 07 2024 daviddavid <daviddavid> 1.10.0-1.mga10
+ Revision: 2104033
- new version: 1.10.0
- switch to Qt6/KF6

* Sun Oct 22 2023 daviddavid <daviddavid> 1.9.0-2.mga10
+ Revision: 2000066
- set explicitly 'XDG_APPS_INSTALL_DIR' to fix path (mga#32421)

* Wed Sep 20 2023 daviddavid <daviddavid> 1.9.0-1.mga10
+ Revision: 1988289
- new version: 1.9.0

* Mon May 15 2023 daviddavid <daviddavid> 1.8.1-1.mga9
+ Revision: 1956983
- initial package liquidshell (mga#22073)

